sdr::BitDump Class Reference
Data sinks.

Trivial node to dump a bit-stream to a std::ostream. More...

`#include <fsk.hh>`

Inheritance diagram for sdr::BitDump:

## Public Member Functions

| BitDump (std::ostream &stream)
| Constructor. More...
void | config (const Config &src_cfg)
| Needs to be implemented by any sub-type to check and perform the configuration of the node. More...
void | process (const Buffer< uint8_t > &buffer, bool allow_overwrite)
| Needs to be implemented by any sub-type to process the received data. More...
Public Member Functions inherited from sdr::Sink< uint8_t >
| Sink ()
| Constructor. More...
virtual | ~Sink ()
| Drestructor. More...
virtual void | handleBuffer (const RawBuffer &buffer, bool allow_overwrite)
| Re-implemented from `SinkBase`. More...
Public Member Functions inherited from sdr::SinkBase
| SinkBase ()
| Constructor. More...
virtual | ~SinkBase ()
| Destructor. More...

## Protected Attributes

std::ostream & | _stream
| The output stream. More...

## Detailed Description

Trivial node to dump a bit-stream to a std::ostream.

## Constructor & Destructor Documentation

BitDump::BitDump | ( | std::ostream & | stream | ) |

Constructor.

Parameters

  stream | Specifies the output stream.

## Member Function Documentation

void BitDump::config | ( | const Config & | src_cfg | ) |

virtual

Needs to be implemented by any sub-type to check and perform the configuration of the node.

Implements sdr::SinkBase.

void BitDump::process | ( | const Buffer< uint8_t > & | buffer,
|  | bool | allow_overwrite
| ) |  |

virtual

Needs to be implemented by any sub-type to process the received data.

Implements sdr::Sink< uint8_t >.

## Member Data Documentation

std::ostream& sdr::BitDump::_stream

protected

The output stream.

The documentation for this class was generated from the following files:

- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/fsk.hh
- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/fsk.cc